## fop 0.95.dfsg

=== debian/changelog ===
fop (1:0.95.dfsg-11) unstable; urgency=low

  * Fix StackOverflowError in Java. Closes: #577069

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 12 Apr 2010 09:53:37 +0200

fop (1:0.95.dfsg-10) unstable; urgency=low

  * Pull in new patch from Mathieu Malaterre <mathieu.malaterre@gmail.com>
    to really fix the segfaults with anchors (closes: #570095)
  * Drop dependency on headed packages (closes: #551294)
  * Refreshed old patches and switch to using the full 3.0 (quilt) power

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 06 Mar 2010 21:02:37 +0100

fop (1:0.95.dfsg-9) unstable; urgency=low

  * Added Maven support
  * d/copyright:
    - converted to DEP5 format
    - added debian/pom.xml section
  * Fixed Vcs-Svn field
  * Standards-Version to 3.8.4
  * Source format 3.0 (quilt)
  * Removed Arnaud Vandyck from Uploaders

 -- Gabriele Giacone <1o5g4r8o@gmail.com>  Sun, 21 Feb 2010 16:25:33 +0100

fop (1:0.95.dfsg-8) experimental; urgency=low

  * Added 02_fix_segfault_with_anchors, patch courtesy of Brian M. Carlson
    <sandals@crustytoothpaste.ath.cx> to stop fop from choking on
    anchors. (closes: #570095)

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 18 Feb 2010 22:27:52 +0100

fop (1:0.95.dfsg-7) unstable; urgency=low

  * Change of my email address since I am DD
  * Updated Standards-Version to 3.8.3
  * openjdk-6-jdk => default-jdk (build)
  * openjdk-6-jre => default-jre (runtime)
  * DM-Upload-Allowed removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Nov 2009 10:28:06 +0100

fop (1:0.95.dfsg-6) unstable; urgency=low

  * Add support for reading configuration files in the wrapper script.
    (again: closes: #526092)

 -- Vincent Fourmond <fourmond@debian.org>  Tue, 12 May 2009 22:46:51 +0200

fop (1:0.95.dfsg-5) unstable; urgency=low

  [ Onkar Shinde ]
  * debian/patches
    - 01_from_svn_16_bit_alpha_png.patch - Change from upstream svn to fix
      reading of .png files with 16-bit alpha channel. (Closes: #524883)
  * debian/README.Debian
    - fop no longer uses/supports JIMI/JAI image processing libraries. Remove
      sections from readme that mention JIMI/JAI. (Closes: #523170)

  [ Vincent Fourmond ]
  * fop can again make use of hyphenation jars (closes: #526092). Thanks
    to Paul Millar <paul.millar@desy.de> for explaining the problem and
    providing the solution.
  * Tighten dependency on java-wrappers, as only version 0.1.15 provides
    non-buggy support for absolute path in find_jars
  * Already conforms to standards 3.8.1

 -- Vincent Fourmond <fourmond@debian.org>  Mon, 11 May 2009 21:21:39 +0200

fop (1:0.95.dfsg-4) unstable; urgency=low

  * Recommends libsaxon-java in order to process png files 
    (Closes: #508400)
  * debian/libfop-java* removed (replaced by fop)
  * conf/fop.xconf is now installed in /usr/share/doc/fop (Closes: #498629)

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Fri, 27 Feb 2009 15:47:17 +0100

fop (1:0.95.dfsg-3) unstable; urgency=low

  * Time for an upload in unstable

 -- Sylvestre Ledru <sylvestre.ledru@inria.fr>  Sat, 21 Feb 2009 12:37:07 +0100

fop (1:0.95.dfsg-2) experimental; urgency=low

  * Tighten up depencies on libxmlgraphics-commons-java and add xml-apis-ext
    to the wrapper script (closes: #505582)
  * Depends on libxml-commons-external-java use openjdk-jre-6 as
    'preferred' JVM (I'm not sure it will run on non-Sun runtime), thanks 
    to Kobayashi Noritada <nori1@dolphin.c.u-tokyo.ac.jp> for spotting and for 
    advice (closes: 508485)
  * Add ${misc:Depends} for possible dh_*-added dependencies, with 
    the side benefits that it makes lintian happy !

 -- Vincent Fourmond <fourmond@debian.org>  Thu, 11 Dec 2008 21:09:32 +0100

fop (1:0.95.dfsg-1) experimental; urgency=low

  [ Sylvestre Ledru ]
  * New upstream version (Closes: #494041)
  * Section change in fop-doc.doc-base from contrib/libs => Text to make 
    lintian happier
  * Dependencies removed (Closes: #229079, #271654)
  * Update of the JAVA_HOME in debian/ant.properties (Closes: #492322)
  * Updated Standards-Version to 3.8.0
  * Homepage, Vcs-Svn, Vcs-Browser & DM-Upload-Allowed added
  * Switch to openJDK
  * Script orig-tar.sh to repack the archive (rm -rf lib/*)
  * Update of the copyright file (fop changed to Apache 2)
  * Add myself as uploader.

  [ Michael Koch ]
  * Fixed watch file for changed upstream location.

  [ Vincent Fourmond ]
  * Added myself to uploaders
  * There are no reasons to keep fop in contrib now that batik and
    xml-graphics-common are in main
  * Tighten up dependencies of fop on batik 1.7
  * Convert fop.sh to java-wrappers

  [ Torsten Werner ]
  * Implement target get-orig-source in debian/rules.
  * Add myself to Uploaders.
  * Update Build-Depends: libxmlgraphics-commons-java (>= 1.3).
  * Fix debian/*.pod files.
  * Fix versioned Depends: java-wrappers.

  [ Vincent Fourmond ]
  * Convert fop-ttfreader.sh to java-wrappers
  * Updated all manual pages so they now reference java-wrappers(7)

 -- Vincent Fourmond <fourmond@debian.org>  Sat, 18 Oct 2008 20:43:44 +0200

fop (1:0.94.dfsg-2) unstable; urgency=low

  * Fixed name of versioned jar.

 -- Michael Koch <konqueror@gmx.de>  Thu, 31 Jan 2008 20:29:07 +0100

fop (1:0.94.dfsg-1) unstable; urgency=low

  * New upstream version. Closes: #445349.
  * Moved debhelper and cdbs from Build-Depends-Indep to Build-Depends.
  * Removed Build-Depends on ibm-j2sdk1.5.
  * Moved fop-doc package to contrib/doc section.
  * Improved abstract in debian/fop-doc.doc-base.
  * Updated Standards-Version to 3.7.3.
  * Updated debhelper level to 5.
  * Added myself to Uploaders.
  * Added watch file.

 -- Michael Koch <konqueror@gmx.de>  Sat, 01 Dec 2007 01:20:31 +0100

fop (1:0.93.dfsg.1-2) unstable; urgency=low

  * debian/fop-ttfreader.sh: updated to include commons-logging and
    commons-io (closes: #426476). Thanks to Michalis Kamburelis

 -- Arnaud Vandyck <avdyk@debian.org>  Tue, 29 May 2007 21:37:55 +0200


