## fop 1.0.dfsg

=== debian/changelog ===
fop (1:1.0.dfsg-3) experimental; urgency=low

  * Upload with the explicit dependency against xmlgraphics-commons on the fop
    binary package (Closes: #594719)
  * Standards-Version updated to version 3.9.1

  [ Mathieu Malaterre ]
  * Race condition in using ICC_Profile from java awt. Closes: #589624
  * footnote inside varlistentry is not rendered in PDF. Closes: #451258

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:20:26 +0200

fop (1:1.0.dfsg-2) experimental; urgency=low

  * fop 1.0 requires xmlgraphics-commons >= 1.4

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 19 Jul 2010 10:07:53 +0200

fop (1:1.0.dfsg-1) experimental; urgency=low

  * New upstream. Closes: #588895

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Jul 2010 17:50:05 +0200
