=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends-Indep: ant-optional, libbatik-java (>= 1.7),
  libavalon-framework-java (>=4.1.2-2), libxalan2-java,
  libxerces2-java, default-jdk, libcommons-io-java,
- libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.3),
+ libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.4),
  libservlet2.4-java, libxml-commons-external-java, maven-repo-helper
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://xmlgraphics.apache.org/fop/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/fop
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/fop/
@@ -23,7 +23,7 @@
  libxerces2-java, libxalan2-java, libbsf-java,
  libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
  libcommons-io-java, libcommons-logging-java, libxp6, libxt6,
- libxtst6, libxmlgraphics-commons-java (>= 1.3.1), 
+ libxtst6, libxmlgraphics-commons-java (>= 1.4),
  java-wrappers (>= 0.1.15), libxml-commons-external-java,
  ${misc:Depends}
 Recommends: libsaxon-java
