## fop 1.0.dfsg2

=== debian/changelog ===
fop (1:1.0.dfsg2-5) unstable; urgency=low

  * Need ant 1.8.2 at least update d/control.
  * Fix NPE in inline element. Closes: #649476
  * Fix IllegalArgumentException. Closes: #646141

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 03 Jan 2012 14:44:06 +0100

fop (1:1.0.dfsg2-4) unstable; urgency=low

  * Migrate fop to use libservlet2.5-java. Closes: #646088
  * Updating the fop Uploaders list. Closes: #654018
  * Update VCS urls.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 02 Jan 2012 11:12:37 +0100

fop (1:1.0.dfsg2-3) unstable; urgency=low

  * Fix misrender issue. Closes: #610344
  * Remove qdox.jar copy from source tree
  * Properly fix logging option. Closes: #575411

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 11 Sep 2011 15:01:03 +0200

fop (1:1.0.dfsg2-2) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Fix issue with qdox. Closes: #639162
    - Also dump exception for verbosity

  [ Miguel Landaeta ]
  * Add mh_clean call in clean target. (Closes: #639515).

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 25 Aug 2011 15:35:55 +0200

fop (1:1.0.dfsg2-1) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Upload to unstable
  * Dependency on libxp removed (Closes: #623639)
  * Standards-Version updated to version 3.9.2
  * Description updated. Thanks to Ivan Shmakov (Closes: #604008)

  [ Vincent Fourmond ]
  * NativeTextHandler is now properly redefined (closes: #626069)
  * Reupload with a tarball cleaned of upstream JAR files (closes: #625869)
    - add a lib/build directory as dirty workaround for a missing dir
    - add libqdox-java as build dependency

  [ Mathieu Malaterre ]
  * Revert changelog numbering to please tar script
  * Fix JAVA_HOME value in debian/rules 
  * Fix qdox 1.12 build failure. Closes: #638532

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 22 Aug 2011 18:06:46 +0200
