=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,21 @@
 # debian/rules for FOP (uses CDBS)
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-# include /usr/share/cdbs/1/rules/simple-patchsys.mk
 include /usr/share/cdbs/1/class/ant.mk
 
-JAVA_HOME            := /usr/lib/jvm/java-6-openjdk
-DEB_JARS             := $(ANT_HOME)/lib/ant-trax.jar batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.4
-DEB_ANT_BUILD_TARGET := package javadocs #docs
+JAVA_HOME            := /usr/lib/jvm/default-java
+DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.5 # ant-junit junit xmlunit
+DEB_ANT_BUILD_TARGET := package javadocs #junit #docs
 DEB_ANT_CLEAN_TARGET := distclean
 DEB_ANT_ARGS := -verbose
 DEB_COMPRESS_EXCLUDE := .xconf
 
 DOCD=debian/fop-doc/usr/share/doc/fop-doc
+
+pre-build::
+	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639162#24
+	# For this reason qdox is not listed in DEB_JARS
+	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
 
 install/fop::
 	mh_installpom -pfop $(CURDIR)/debian/pom.xml
@@ -39,6 +43,9 @@
 
 clean::
 	-rm -Rf build
+	mkdir -p lib/build
+	rm -f lib/build/qdox.jar
+	mh_clean
 
 get-orig-source:
 	uscan --force-download --rename
