## fop 1.1.dfsg

=== debian/changelog ===
fop (1:1.1.dfsg-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    -  Transition libservlet2.5-java -> libservlet3.0-java.

 -- James Page <james.page@ubuntu.com>  Tue, 21 May 2013 12:21:26 +0100

fop (1:1.1.dfsg-2) unstable; urgency=low

  * Upload to sid
  * Make sure fop install correct libfop-java version
  * fop now required qdox >= 1.12 to build
  * Bump Std-Vers to 3.9.4, no changes needed
  * Remove servlet-api from fop.sh. Closes: #671273
  * Use newer d/watch (HowToHelpWithFixingWatchFiles)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 16 May 2013 10:39:12 +0200

fop (1:1.1.dfsg-1) experimental; urgency=low

  * New upstream. Closes: #691474
  * Use my @d.o alias, remove DMUA flags
  * Bump Std-Vers to 3.9.3, no changes needed
  * Remove patches applied upstream:
    - d/p/enco.patch
    - d/p/enco2.patch
    - d/p/fixnpeinlinestacking.patch
    - d/p/illegalargex.patch
  * d/control: now requires xmlgraphics-commons >= 1.5

 -- Mathieu Malaterre <malat@debian.org>  Sat, 03 Nov 2012 15:35:23 +0100

fop (1:1.0.dfsg2-6ubuntu1) quantal; urgency=low

  * Transition libservlet2.5-java -> libservlet3.0-java (LP: #1023405).

 -- James Page <james.page@ubuntu.com>  Thu, 12 Jul 2012 15:13:49 +0100

fop (1:1.0.dfsg2-6build1) quantal; urgency=low

  * No-change rebuild with openjdk-7 as default-jdk.

 -- James Page <james.page@ubuntu.com>  Fri, 18 May 2012 12:11:54 +0100

fop (1:1.0.dfsg2-6) unstable; urgency=low

  [ Mathieu Malaterre ]
  * Support conf.d like configuration files. Closes: #630198
  * Fix fop man page (outdated). Closes: #654592, #512443
  * Split packages into fop and libfop-java. Closes: #544546

  [ Joachim Breitner ]
  * Include hyphenation patterns from TeX. Closes: #655027

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 15 Jan 2012 11:13:23 +0100
