=== debian/control ===
Source: fop
Section: text
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
           Torsten Werner <twerner@debian.org>,
           Mathieu Malaterre <malat@debian.org>,
           Vincent Fourmond <fourmond@debian.org>
Build-Depends: debhelper (>= 5), cdbs (>= 0.4.27)
Build-Depends-Indep: ant-optional (>= 1.8.2), libbatik-java (>= 1.7),
 libavalon-framework-java (>= 4.1.2-2), libxalan2-java,
 libxerces2-java, default-jdk, libcommons-io-java, libxmlunit-java,
 libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.5),
 libservlet3.0-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
 unzip
Standards-Version: 3.9.4
Homepage: http://xmlgraphics.apache.org/fop/
Vcs-Svn: svn://svn.debian.org/pkg-java/trunk/fop
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-java/trunk/fop/

Package: fop
Architecture: all
Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libfop-java (= ${binary:Version})
Recommends: libsaxon-java
Suggests: fop-doc, libservlet3.0-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop command line tool

Package: libfop-java
Section: java
Architecture: all
Replaces: fop (<< 1:1.0.dfsg2-6)
Breaks: fop (<< 1:1.0.dfsg2-6)
Depends: libxerces2-java, libxalan2-java, libbsf-java,
 libavalon-framework-java (>=4.1.2-2), libbatik-java (>= 1.7),
 libcommons-io-java, libcommons-logging-java, libxt6,
 libxtst6, libxmlgraphics-commons-java (>= 1.4),
 java-wrappers (>= 0.1.15), libxml-commons-external-java,
 ${misc:Depends}
Recommends: libsaxon-java
Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the fop jar file

Package: fop-doc
Section: doc
Architecture: all
Replaces: libfop-java-doc
Depends:  ${misc:Depends}
Description: XML formatter driven by XSL Formatting Objects (doc)
 FOP is a Java application that reads a formatting object tree and then
 turns it into a wide variety of output presentations (including AFP,
 PCL, PDF, PNG, PostScript, RTF, TIFF, and plain text), or displays
 the result on-screen.
 .
 The formatting object tree can be in the form of an XML document
 (output by an XSLT engine like xalan) or can be passed in memory as a
 DOM Document or (in the case of xalan) SAX events.
 .
 This package contains the documentation.
