## fop 1.1.dfsg2

=== debian/changelog ===
fop (1:1.1.dfsg2-1+deb8u1) jessie-security; urgency=high

  * Team upload.
  * Fixed CVE-2017-5661: Information disclosure vulnerability (Closes: #860567)

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 24 May 2017 17:35:34 +0200

fop (1:1.1.dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Removed the non-free sRGB color profile and use the equivalent profile
    from the icc-profiles-free package (Closes: #657281)

 -- Emmanuel Bourg <ebourg@apache.org>  Sun, 02 Nov 2014 17:20:55 +0100
