=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fop
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
            Torsten Werner <twerner@debian.org>,
            Mathieu Malaterre <malat@debian.org>,
@@ -12,7 +11,7 @@
  libavalon-framework-java (>= 4.1.2-2), libxalan2-java,
  libxerces2-java, default-jdk, libcommons-io-java, libxmlunit-java,
  libcommons-logging-java, junit, libxmlgraphics-commons-java (>= 1.5),
- libservlet3.0-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
+ libservlet2.5-java, libxml-commons-external-java, maven-repo-helper, libqdox-java (>= 1.12),
  unzip
 Standards-Version: 3.9.4
 Homepage: http://xmlgraphics.apache.org/fop/
@@ -23,7 +22,7 @@
 Architecture: all
 Depends: ${misc:Depends}, default-jre-headless | java2-runtime-headless, libfop-java (= ${binary:Version})
 Recommends: libsaxon-java
-Suggests: fop-doc, libservlet3.0-java
+Suggests: fop-doc, libservlet2.5-java
 Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
  FOP is a Java application that reads a formatting object tree and then
  turns it into a wide variety of output presentations (including AFP,
@@ -47,7 +46,7 @@
  libxtst6, libxmlgraphics-commons-java (>= 1.4),
  java-wrappers (>= 0.1.15), libxml-commons-external-java,
  ${misc:Depends}
-Recommends: libsaxon-java
+Recommends: libsaxon-java, icc-profiles-free
 Description: XML formatter driven by XSL Formatting Objects (XSL-FO.)
  FOP is a Java application that reads a formatting object tree and then
  turns it into a wide variety of output presentations (including AFP,
