=== debian/rules ===
--- 
+++ 
@@ -17,18 +17,23 @@
 	# http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=639162#24
 	# For this reason qdox is not listed in DEB_JARS
 	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
+	
+	unzip -j -o debian/offo-hyphenation_v2.0.zip \
+		offo-hyphenation/hyph/\* -d hyph/
+
+install/libfop-java::
+	mh_installpom -plibfop-java $(CURDIR)/debian/pom.xml
+	mh_installjar -plibfop-java -l $(CURDIR)/debian/pom.xml \
+		$(CURDIR)/build/fop.jar
+	
+	mkdir -p $(CURDIR)/debian/libfop-java/usr/share/fop/
+	cp -a $(CURDIR)/build/fop-hyph.jar $(CURDIR)/debian/libfop-java/usr/share/fop/
+
 
 install/fop::
-	mh_installpom -pfop $(CURDIR)/debian/pom.xml
-	mh_installjar -pfop -l $(CURDIR)/debian/pom.xml \
-		$(CURDIR)/build/fop.jar
-
 	cp -a debian/fop.sh debian/fop/usr/bin/fop
 	cp -a debian/fop-ttfreader.sh debian/fop/usr/bin/fop-ttfreader
-	pod2man --section=1 \
-		--release="Fop " \
-		--date="`date`" \
-		debian/fop.pod > build/fop.1
+	cp -a	debian/fop.1 build/fop.1
 
 	pod2man --section=1 \
 		--release="Fop-TTFReader " \
@@ -45,7 +50,17 @@
 	-rm -Rf build
 	mkdir -p lib/build
 	rm -f lib/build/qdox.jar
+	rm -f hyph/*.xml
 	mh_clean
+
+debian/fop.1: debian/fop.1.in
+	help2man --no-info --version-option=-version --no-discard-stderr --include=debian/fop.1.in --output=debian/fop.1 fop
+	sed -i -e 's/^USAGE$$/.SH SYNOPSIS/' debian/fop.1
+	sed -i -e 's/^\[OPTIONS\]$$/.SH OPTIONS/' debian/fop.1
+	sed -i -e 's/^\[INPUT\]$$/.SH INPUT/' debian/fop.1
+	sed -i -e 's/^\[OUTPUT\]$$/.SH OUTPUT/' debian/fop.1
+	sed -i -e 's/^\[Examples\]$$/.SH EXAMPLES/' debian/fop.1
+	sed -i -e 's/^fop .*$$/\n&/' debian/fop.1
 
 get-orig-source:
 	uscan --force-download --rename
