=== debian/watch ===
version=3
opts=dversionmangle=s/(\d)[\+\.\-~](?:dfsg|debian|ds|repack)\.?\d*$/$1/,uversionmangle=s/(\db?)[_\-\.](src)$/$1/ \
http://www.apache.org/dist/xmlgraphics/fop/source/fop[\-\._]?(\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz) \
debian debian/orig-tar.sh
