## fop 1.1.dfsg-2ubuntu1+7.0trisquel1

=== debian/changelog ===
fop (1:1.1.dfsg-2ubuntu1+7.0trisquel1) belenos; urgency=medium

  * Use a free sRGB icc profile

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 01 Apr 2015 17:59:08 +0000
