## fop 2.1

=== debian/changelog ===
fop (1:2.1-2) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Remove myself from the uploaders

  [ Mathieu Malaterre ]
  * Fix Couldn't find hyphenation pattern. Closes: #805472 

 -- Mathieu Malaterre <malat@debian.org>  Mon, 15 Feb 2016 08:47:55 +0100

fop (1:2.1-1) unstable; urgency=medium

  * New upstream release. Closes: #813572
  * Remove patch applied upstream:
    - debian/patches/bug799662.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 08 Feb 2016 18:51:00 +0100

fop (1:2.0+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fixed the groupId of the avalon artifacts (Closes: #804564)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Jan 2016 15:35:09 +0100

fop (1:2.0+dfsg-4) unstable; urgency=medium

  * allow overriding logging options. Closes: #717320
  * Fix Null pointer exception. Closes: #799662

 -- Mathieu Malaterre <malat@debian.org>  Fri, 06 Nov 2015 20:29:38 +0100

fop (1:2.0+dfsg-3) unstable; urgency=medium

  * Upload to sid
  * Update d/watch to check signature.

 -- Mathieu Malaterre <malat@debian.org>  Sun, 13 Sep 2015 14:02:43 +0200

fop (1:2.0+dfsg-2) experimental; urgency=medium

  * Fix logging (default to info level).
  * Refresh patches (DEP-3 header)

 -- Mathieu Malaterre <malat@debian.org>  Sun, 16 Aug 2015 13:55:19 +0200

fop (1:2.0+dfsg-1) experimental; urgency=medium

  * New upstream. Closes: #792132
  * Transition to libservlet3.0-java. Closes: #709178 
  * Bump Std-Vers to 3.9.6, no changes needed
  * Remove old Breaks/Replace (oldstable version)
  * Update d/watch to use d/copyright File-Excluded
  * Fix some lintian warnings

 -- Mathieu Malaterre <malat@debian.org>  Thu, 16 Jul 2015 21:55:30 +0200

fop (1:1.1.dfsg2-2) unstable; urgency=medium

  * Fix hyphenation issue. Closes: #780579

 -- Mathieu Malaterre <malat@debian.org>  Sat, 11 Jul 2015 21:25:11 +0200
