=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include /usr/share/cdbs/1/class/ant.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java
-DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-2.5 # ant-junit junit xmlunit
+DEB_JARS             := batik-all xml-apis-ext batik-libs xml-apis avalon-framework xercesImpl xmlParserAPIs xalan2 junit commons-io commons-logging xmlgraphics-commons servlet-api-3.0 fontbox # ant-junit junit xmlunit mockito-core
 DEB_ANT_BUILD_TARGET := package javadocs #junit #docs
 DEB_ANT_CLEAN_TARGET := distclean
 DEB_ANT_ARGS := -verbose
@@ -18,7 +18,7 @@
 	# For this reason qdox is not listed in DEB_JARS
 	test -h /usr/share/java/qdox.jar && cp -L /usr/share/java/qdox.jar lib/build
 	
-	unzip -j -o debian/offo-hyphenation_v2.0.zip \
+	unzip -j -o debian/offo-hyphenation_v2.1.zip \
 		offo-hyphenation/hyph/\* -d hyph/
 
 install/libfop-java::
