=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.apache.org/dist/xmlgraphics/fop/source/fop[\-\._]?(\d\S*)\-src\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
